Subject: Re: bug#17839: 24.4.50; read-passwd echoes password input in non-interactive sessions

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Jul 2014 13:13:51 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 11 Jul 2014 11:58:51 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Which breaks the MS-Windows build, of course, since Windows doesn't
> > have termios.
> 
> That's what I have said my first message: I could test it for Gnu/Linux only.

Testing on GNU/Linux is not the same as installing Posix-only code in
a function that is compiled on non-Posix platforms.

> Shall I add "#ifndef WINDOWSNT" at the usual places?

I already did that.

> Alternatively, shall we add (disable|enable)_echo functions to sysdep.c?

Yes, please.  This will make emulating termios for Windows easier.

Thanks.